/**
 * Licensed under the MICE s.r.l.
 * End User License Agreement
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.micegroup.it/voila/license.html
 */
package it.mice.voila.runtime.displaytag.basedec;

import javax.servlet.jsp.PageContext;

/**
 * Display Column Decorator per la trasformazione dei campi valori con 2 cifre decimali. 
 */
public class Value1DecimalDecorator extends ValueDecorator {
	
    public Value1DecimalDecorator() {
        super();
    }

    public String decorate(Object value) {
        return decorate(value, getValueFromResource(CURRENCY_1DECIMAL_KEY));
    }

	@Override
	public void setPageContext(PageContext pageContext) {
		super.setPageContext(getPageContext());
	}
}
